Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution
Class FlowExecutionListenerAdapter

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionListenerAdapter

All Implemented Interfaces:
  FlowExecutionListener

Direct Known Subclasses:
  FlowFacesContextLifecycleListener, HibernateFlowExecutionListener, JpaFlowExecutionListener, SecurityFlowExecutionListener

    public abstract class FlowExecutionListenerAdapter

extends java.lang.Object
implements FlowExecutionListener

An abstract adapter class for listeners (observers) of flow execution lifecycle events. The methods in this class are empty. This class exists as convenience for creating listener objects; subclass it and override what you need.

Author:
  Erwin Vervaet, Keith Donald, Scott Andrews

Constructor Summary
`FlowExecutionListenerAdapter()`

Method Summary
`void` | `eventSignaled(RequestContext context, Event event)` Called when an event is signaled in the current state, but prior to any state transition.
`void` | `exceptionThrown(RequestContext context, FlowExecutionException exception)` Called when an exception is thrown during a flow execution, before the exception is handled by any registered `handler`.
`void` | `paused(RequestContext context)` Called when a flow execution is paused, for instance when it is waiting for user input (after event processing).
`void` | `requestProcessed(RequestContext context)` Called when a client request has completed processing.
`void` | `requestSubmitted(RequestContext context)` Called when any client request is submitted to manipulate this flow execution.
`void` | `resuming(RequestContext context)` Called after a flow execution is successfully reactivated after pause (but before event processing).
`void` | `sessionCreating(RequestContext context, FlowDefinition definition)` Called to indicate a new flow definition session is about to be created.
`void` | `sessionEnded(RequestContext context, FlowSession session, java.lang.String outcome, AttributeMap output)` Called when a flow execution session ends.
`void` | `sessionEnding(RequestContext context, FlowSession session, java.lang.String outcome, MutableAttributeMap output)` Called when the active flow execution session has been asked to end but before it has ended.
`void` | `sessionStarted(RequestContext context, FlowSession session)` Called after a new flow session has started.
`void` | `sessionStarting(RequestContext context, FlowSession session, MutableAttributeMap input)` Called after a new flow session has been created but before it starts.
`void` | `stateEntered(RequestContext context, StateDefinition previousState, StateDefinition newState)` Called when a state transitions, after the transition occurred.
`void` | `stateEntering(RequestContext context, StateDefinition state)` Called when a state transitions, after the transition is matched but before the transition occurs.
`void` | `transitionExecuting(RequestContext context, TransitionDefinition transition)` Called when a transition is matched but before the transition occurs.
`void` | `viewRendered(RequestContext context, View view, StateDefinition viewState)` Called after a view has completed rendering.
`void` | `viewRendering(RequestContext context, View view, StateDefinition viewState)` Called when a view is about to render in a view-state, before any render actions are executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowExecutionListenerAdapter

    public FlowExecutionListenerAdapter()

Method Detail

### requestSubmitted

    public void requestSubmitted(RequestContext context)

  Description copied from interface: `FlowExecutionListener`
  Called when any client request is submitted to manipulate this flow execution. This call happens before request processing.

  Specified by:
    `requestSubmitted` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context

### requestProcessed

    public void requestProcessed(RequestContext context)

  Description copied from interface: `FlowExecutionListener`
  Called when a client request has completed processing.

  Specified by:
    `requestProcessed` in interface `FlowExecutionListener`
  Parameters:
    `context` - the source of the event

### sessionCreating

    public void sessionCreating(RequestContext context,
                                FlowDefinition definition)

  Description copied from interface: `FlowExecutionListener`
  Called to indicate a new flow definition session is about to be created. Called before the session is created. An exception may be thrown from this method to veto the start operation. Any type of runtime exception can be used for this purpose.

  Specified by:
    `sessionCreating` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `definition` - the flow for which a new session is starting

### sessionStarting

    public void sessionStarting(RequestContext context,
                                FlowSession session,
                                MutableAttributeMap input)

  Description copied from interface: `FlowExecutionListener`
  Called after a new flow session has been created but before it starts. Useful for setting arbitrary attributes in the session before the flow starts.

  Specified by:
    `sessionStarting` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `session` - the session that was created
    `input` - a mutable input map - attributes placed in this map are eligible for input mapping by the flow definition at startup

### sessionStarted

    public void sessionStarted(RequestContext context,
                               FlowSession session)

  Description copied from interface: `FlowExecutionListener`
  Called after a new flow session has started. At this point the flow's start state has been entered and any other startup behaviors have been executed.

  Specified by:
    `sessionStarted` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `session` - the session that was started

### eventSignaled

    public void eventSignaled(RequestContext context,
                              Event event)

  Description copied from interface: `FlowExecutionListener`
  Called when an event is signaled in the current state, but prior to any state transition.

  Specified by:
    `eventSignaled` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `event` - the event that occurred

### transitionExecuting

    public void transitionExecuting(RequestContext context,
                                    TransitionDefinition transition)

  Description copied from interface: `FlowExecutionListener`
  Called when a transition is matched but before the transition occurs.

  Specified by:
    `transitionExecuting` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `transition` - the proposed transition

### stateEntering

    public void stateEntering(RequestContext context,
                              StateDefinition state)
                       throws EnterStateVetoException

  Description copied from interface: `FlowExecutionListener`
  Called when a state transitions, after the transition is matched but before the transition occurs.

  Specified by:
    `stateEntering` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `state` - the proposed state to transition to
  Throws:
    `EnterStateVetoException` - when entering the state is not allowed

### viewRendered

    public void viewRendered(RequestContext context,
                             View view,
                             StateDefinition viewState)

  Description copied from interface: `FlowExecutionListener`
  Called after a view has completed rendering.

  Specified by:
    `viewRendered` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `view` - the view that rendered
    `viewState` - the current view state

### viewRendering

    public void viewRendering(RequestContext context,
                              View view,
                              StateDefinition viewState)

  Description copied from interface: `FlowExecutionListener`
  Called when a view is about to render in a view-state, before any render actions are executed.

  Specified by:
    `viewRendering` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `view` - the view that is about to render
    `viewState` - the current view state

### stateEntered

    public void stateEntered(RequestContext context,
                             StateDefinition previousState,
                             StateDefinition newState)

  Description copied from interface: `FlowExecutionListener`
  Called when a state transitions, after the transition occurred.

  Specified by:
    `stateEntered` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `previousState` - from state of the transition
    `newState` - to state of the transition

### paused

    public void paused(RequestContext context)

  Description copied from interface: `FlowExecutionListener`
  Called when a flow execution is paused, for instance when it is waiting for user input (after event processing).

  Specified by:
    `paused` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context

### resuming

    public void resuming(RequestContext context)

  Description copied from interface: `FlowExecutionListener`
  Called after a flow execution is successfully reactivated after pause (but before event processing).

  Specified by:
    `resuming` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context

### sessionEnding

    public void sessionEnding(RequestContext context,
                              FlowSession session,
                              java.lang.String outcome,
                              MutableAttributeMap output)

  Description copied from interface: `FlowExecutionListener`
  Called when the active flow execution session has been asked to end but before it has ended.

  Specified by:
    `sessionEnding` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `session` - the current active session that is ending
    `outcome` - the outcome reached by the ending session, generally the id of the terminating end-state
    `output` - the flow output produced by the ending session, this map may be modified by this listener to affect the output returned

### sessionEnded

    public void sessionEnded(RequestContext context,
                             FlowSession session,
                             java.lang.String outcome,
                             AttributeMap output)

  Description copied from interface: `FlowExecutionListener`
  Called when a flow execution session ends. If the ended session was the root session of the flow execution, the entire flow execution also ends.

  Specified by:
    `sessionEnded` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `session` - ending flow session
    `outcome` - the outcome reached by the ended session, generally the id of the terminating end-state
    `output` - the flow output returned by the ending session

### exceptionThrown

    public void exceptionThrown(RequestContext context,
                                FlowExecutionException exception)

  Description copied from interface: `FlowExecutionListener`
  Called when an exception is thrown during a flow execution, before the exception is handled by any registered `handler`.

  Specified by:
    `exceptionThrown` in interface `FlowExecutionListener`
  Parameters:
    `context` - the current flow request context
    `exception` - the exception that occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD